package org.jeecg.modules.workOrder.service;

import org.jeecg.modules.workOrder.entity.OperationRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;
import java.util.Objects;

/**
 * @Description: 工单作业记录
 * @Author: jeecg-boot
 * @Date:   2025-02-20
 * @Version: V1.0
 */
public interface IOperationRecordService extends IService<OperationRecord> {

    boolean completeRecords(Map<Object, Object> records);
    boolean completeMutualRecord(Map<Object, Object> records);
    boolean completeSpecialRecord(Map<Object, Object> records);

    long queryUncompleteCount(String id);

    long queryUnreturnCount(String id);
}
